Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Interface DelimiterByteChecker

All Known Implementing Classes:
  EndDelimiterByteChecker, StartEndDelimiterByteChecker, WhitespaceDelimiterChecker

    public interface DelimiterByteChecker

Field Summary
`static DelimiterByteChecker[]` | `EMPTY_DELIMITER_CHECKER_ARRAY`
`static DelimiterByteChecker` | `NULL`

Method Summary
`int` | `foundEndDelimiter(byte[] data, int start, int length)`
`boolean` | `foundEndDelimiter(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`boolean` | `testContinuation(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`
`int` | `testStart(byte[] data, int start, int length)`
`boolean` | `testStart(ByteBuffer recordBuffer, ByteArrayBuilder byteArrayBuilder)`

Field Detail

### NULL

    static final DelimiterByteChecker NULL

### EMPTY_DELIMITER_CHECKER_ARRAY

    static final DelimiterByteChecker[] EMPTY_DELIMITER_CHECKER_ARRAY

Method Detail

### testStart

    boolean testStart(ByteBuffer recordBuffer,
                      ByteArrayBuilder byteArrayBuilder)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundEndDelimiter

    boolean foundEndDelimiter(ByteBuffer recordBuffer,
                              ByteArrayBuilder byteArrayBuilder)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### testContinuation

    boolean testContinuation(ByteBuffer recordBuffer,
                             ByteArrayBuilder byteArrayBuilder)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### foundEndDelimiter

    int foundEndDelimiter(byte[] data,
                          int start,
                          int length)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### testStart

    int testStart(byte[] data,
                  int start,
                  int length)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD